[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugmsg' (#fcl)

# WriteDebugMessageToStream

Write a message to stream

## Declaration

Source position: dbugmsg.pp line 41

`procedure WriteDebugMessageToStream(`
`AStream: TStream;`
`const Msg: TDebugMessage`
`);`

## Arguments

`AStream` |  | Stream to write message to
`Msg` |  | Message record to be written

## Description

WriteDebugMessageFromStream writes a TDebugMessage record (Msg) to the stream AStream.

The record is not written in a byte-ordering safe way, i.e. it cannot be exchanged between little- and big-endian systems.

## Errors

A stream write error may occur if the stream cannot be written to.

## See also

TDebugMessage |  | Structure describing a message
ReadDebugMessageFromStream |  | Read a message from stream